Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 10.05.2008, 00:02  postituse pealkiri:  Kompilleeri xmms ubuntul  

Hei!

Mina tahan ubuntu hardyl xmms'i kasutada!!!
Ei taha kasutada xmms2, banschee-d, amarok'i.
Mõtlesin, et installeerin synaptikuga - ei saa. Otsisin repodest, ainult xmms2 ja miskid codecid.
Otsustasin siis lihtsalt deb faili tõmmata. Ei ole.
Otsustasin kompilleerida. Ei ole c compilerit. Installeerisin selle. Ei ole glib'i. Installeerisin selle 8 aprilli stabiilse versiooni näol, mis 1.16. Nii, nüüd uuesti xmms installi kaustas ./configure.
Sul ei ole ikkagi glib>=1.2.2
Mul ei ole sõnu. Mis ma tegema pean?


sander85
Vana Pingviin
Vana Pingviin


Vanus: 34
Liitunud: 08.08.2005
Postitused: 4359
Asukoht: Tallinn (vahel ka Virtsu)
Distributsioon: Mageia, Debian, CentOS
estonia.gif
postituspostitatud: 10.05.2008, 00:42  postituse pealkiri:  (teema puudub)  

tõenäoliselt on sul vaja mitte glib'i ennast vaid glib'i devel pakki

_________________
Image Image Image

kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 10.05.2008, 12:39  postituse pealkiri:  (teema puudub)  

Oi, seele unustasin täitsa ära. Kummaline, kas xmms on surnud, miks seda enam ubuntu repodest kätte ei saa. Või kui saab, siis nädake mulle palun mõni hardy repository


spott
Admin
Admin


Vanus: 39
Liitunud: 04.06.2005
Postitused: 8787

Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 10.05.2008, 13:41  postituse pealkiri:  (teema puudub)  

universe repodes on päris palju XMMS-i kraami

_________________
Tellige endale sünnipäevaks, sõbrapäevaks või muuks tähtpäevaks kingitus: Kingitused internetist - NetiKink.eu

imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2581
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 10.05.2008, 14:56  postituse pealkiri:  (teema puudub)  

Kood:
sudo apt-get install autotools-dev automake1.9 libtool gettext libasound2-dev libaudiofile-dev \
libgl1-mesa-dev libglib1.2-dev libgtk1.2-dev libesd0-dev libice-dev libmikmod2-dev libogg-dev \
libsm-dev libvorbis-dev libxxf86vm-dev libxml-dev libssl-dev build-essential make

Kood:
./configure --prefix=/usr

Kood:
make

Kood:
sudo make install

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

sli
Uus kasutaja
Uus kasutaja



Liitunud: 03.08.2005
Postitused: 2


estonia.gif
postituspostitatud: 10.05.2008, 15:02  postituse pealkiri:  (teema puudub)  

hei

xmms on tõesti välja surnud. mina kasutan alternatiivina audacioust.
rohkem infot: http://audacious-media-player.org/index.php?title=Main_Page


kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 10.05.2008, 17:14  postituse pealkiri:  (teema puudub)  

Fantastiline, ma tänan kasutaja Imret ülima lahkuse eest. xmms töötab ja Margus on õnnelik.


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2581
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 10.05.2008, 17:29  postituse pealkiri:  (teema puudub)  

Googlesse otsima: ubuntu 8.04 xmms
ja kolmas vaste

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

ingmar
Pingviini kasutaja
Pingviini kasutaja


Vanus: 30
Liitunud: 26.03.2007
Postitused: 84
Asukoht: Tallinn
Distributsioon: Ubuntu Studio
estonia.gif
postituspostitatud: 11.05.2008, 20:10  postituse pealkiri:  (teema puudub)  

imre kirjutas:
Kood:
sudo apt-get install autotools-dev automake1.9 libtool gettext libasound2-dev libaudiofile-dev \
libgl1-mesa-dev libglib1.2-dev libgtk1.2-dev libesd0-dev libice-dev libmikmod2-dev libogg-dev \
libsm-dev libvorbis-dev libxxf86vm-dev libxml-dev libssl-dev build-essential make

Kood:
./configure --prefix=/usr

Kood:
make

Kood:
sudo make install



5+, kõik töötas

aga nüüd oleks vaja last.fm plugin ka tööle saada


kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 29.05.2008, 21:13  postituse pealkiri:  (teema puudub)  

Tegin väikse versiooniuuenduse estobuntule, kõik näis kena, vahepeal küsiti kas tahan kustada ka nn iganenud asju, muidu oleks nõus olnud, miskid mulle tundmatud lib paketid või midagi taolist, aga xmms ka nende hulgas. Kuidas võivad nii salakavalalt nimetada ühe täiesti töötava programmi iganenuks ja visata prügikasti??? Esialgu siis panin: EI KUSTUTA MIDAGI. Hiljem vaatasin, et uuenduste käigus üritab adept ikkagi xmms'i maha installeerida ja ühel hommikul uuendusi tehes oligi läinud. Asemele saab installeerida täiesti mittetöötava audaciose, aeglase xmms2, mis kasutab mingeid ime keskkondi, milleks peaks ühe funktsiooni jooksutamiseks kasutama mitut jurakat. Nii nad tapsidki Bämbi.


imre
Vana Pingviin
Vana Pingviin



Liitunud: 16.08.2005
Postitused: 2581
Asukoht: Saku kant
Distributsioon: Ubuntu
estonia.gif
postituspostitatud: 29.05.2008, 21:31  postituse pealkiri:  (teema puudub)  

Las võtab maha siis.
Varem kokku lastud binaar lase uuesti tagasi.
Tüütu, aga .....

_________________
Enne teema püstitamist kasutage OTSINGUT
Küsi targalt: Infot siit !
Kui aru ei saa, siis küsi.

johnsmith
Vana Pingviin
Vana Pingviin


Vanus: 45
Liitunud: 24.07.2006
Postitused: 714
Asukoht: Universum
Distributsioon: Ubuntu/Gentoo/FreeBSD
finland.gif
postituspostitatud: 29.05.2008, 22:13  postituse pealkiri:  (teema puudub)  

kiirtee kirjutas:
Tegin väikse versiooniuuenduse estobuntule, kõik näis kena, vahepeal küsiti kas tahan kustada ka nn iganenud asju, muidu oleks nõus olnud, miskid mulle tundmatud lib paketid või midagi taolist, aga xmms ka nende hulgas. Kuidas võivad nii salakavalalt nimetada ühe täiesti töötava programmi iganenuks ja visata prügikasti??? Esialgu siis panin: EI KUSTUTA MIDAGI. Hiljem vaatasin, et uuenduste käigus üritab adept ikkagi xmms'i maha installeerida ja ühel hommikul uuendusi tehes oligi läinud. Asemele saab installeerida täiesti mittetöötava audaciose, aeglase xmms2, mis kasutab mingeid ime keskkondi, milleks peaks ühe funktsiooni jooksutamiseks kasutama mitut jurakat. Nii nad tapsidki Bämbi.


XMMS on hetkel arendajata projekt ja välja on aja jooksul tulnud hulk bugisid mida keegi parandada ei viitsi. Pealegi kui librade versioon uueneb siis lihtsalt vana versioon ei sobi enam uuema distroga kokku jah on häkke muidugi nagu nagu vana libra kasutamine paralleelselt uuega jne. Tavakasutaja sellega tegelema ju ei hakka vaid süsteemi peaks saama normaalselt uuendada tegelemata mingi jublaka pidamisega süsteemis.

Lihtsalt mingi suvalise distro arendajad ei võta endale vastutust mingi kolmanda vidina arenduse eest. Vaba tarkvara arendus on juba kord selline, et kui keegi enam ühel päeval arendada ei viitsi siis asi hääbub ja süüdistada pole kedagi.

Mis sellel audaciousel viga on ? Mul töötab küll. Muidugi vanematel Linuxi kasutajatel nagu minulgi oli alguses mõeldamatu ilma XMMS -ta aga see on lihtsalt nostalgitsemine.........

_________________
"Thinking is the hardest work there is, which is probably the reason why so few engage in it" - Henry Ford

tommi
Pingviini aktivist
Pingviini aktivist



Liitunud: 30.11.2006
Postitused: 201
Asukoht: Tallinn
Distributsioon: Ubuntu 10.04
estonia.gif
postituspostitatud: 29.05.2008, 23:42  postituse pealkiri:  (teema puudub)  

kiirtee kirjutas:
.... Nii nad tapsidki Bämbi.

Laughing Laughing


kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 30.05.2008, 00:09  postituse pealkiri:  (teema puudub)  

kasutaja@test:~$ audacious

(audacious:8558): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(audacious:8558): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

(audacious:8558): GLib-GObject-WARNING **: invalid (NULL) pointer instance

(audacious:8558): GLib-GObject-CRITICAL **: g_signal_emit_valist: assertion `G_TYPE_CHECK_INSTANCE (instance)' failed
MADPlug-Message: failed to open audio output: XMMS reverse compatibility output plugin

vot selline viga, veateade järgneb "play" nupu nn vajutamisele audaciouse playeril. Mängitav fail oli mp3 vormingus.

Lihtsalt xmms oli üks väheseid mängijaid, mis suutis mu hiiglamasuurt muusikakogu kiirelt tallele panna ja siis sai juba "j" ja loo nimi ning oligi soovitud tulemus käes. Amarok, on ka täitsa viisakas, aga ta ei leia mu järmisel päeval mu välist ketast üles, millelt lood nullideühtede jadana inimkõrvale siinuseliseks helisignaaliks teisendada. xmms2-te proovisin veel kord. Lisasin miski abraca (see ei suuda üksinda xmms2 protsessi käima tõmmata, nii ei ole sest abraca kestast miskit tolku) Esperanza vahepeal nagu toimis ja siis ei toimind ka, panin ta kinni, ikka mängis edasi, tegin graafiliselekasutajaliidesele väikse ctrl+alt+backspace, ikka mängis edasi, protsessi tapmisega oli temagi töötund lõpetatud.


sadiini
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 28.12.2007
Postitused: 1442
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: Lubuntu, Bodhi, Feren OS
estonia.gif
postituspostitatud: 30.05.2008, 10:06  postituse pealkiri:  (teema puudub)  

Võid rahulikult xmms-i nurka visata ja audaciouse paigaldada.
Nagu eelnevalt mainitud, siis on xmms koledaid puuke täis.
Ka mina kasutasin xmms-i. Pikalt. Enam ei kasuta. Amarok mulle millegipärast ei meeldi. Isegi ei tea, miks.


kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 01.06.2008, 23:50  postituse pealkiri:  (teema puudub)  

Jaa, iseenesest Audacious töötab Estobuntu gutsy peal ja väga hästi töötab, aga avamisel nääitab veateadet: http://www.tlu.ee/~kiirtee/pildid/viga/katkine_audacious.png
Iseenesest see mind ei sega, aga võib-olla segab mõnes muus kohas?

Estobuntu hardy peal ei tööta ikkagi.

Võin täitsa sellega ära harjuda.


sadiini
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 28.12.2007
Postitused: 1442
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: Lubuntu, Bodhi, Feren OS
estonia.gif
postituspostitatud: 02.06.2008, 11:11  postituse pealkiri:  (teema puudub)  

Minul töötab Audacious Hardy peal laitmatult. Kas äkki mingid vanad seadistusfailid sul sigatsevad? Ürita ta täielikult eemalda (koos seadefailidega) ja siis uuesti paigaldada. Ehk saab siis normaalselt tööle.


kiirtee
Pingviini aktivist
Pingviini aktivist


Vanus: 36
Liitunud: 26.04.2007
Postitused: 380
Asukoht: Tallinn
Distributsioon: Estobuntu 8.09
estonia.gif
postituspostitatud: 02.06.2008, 17:36  postituse pealkiri:  (teema puudub)  

Vanu seadistusi ei saa olla, sest installeerisin selle alles pärast estobuntul gutsy hardyks uuendamist.


sadiini
Vana Pingviin
Vana Pingviin


Vanus: 49
Liitunud: 28.12.2007
Postitused: 1442
Asukoht: Otsige mind kolmandalt planeedilt...
Distributsioon: Lubuntu, Bodhi, Feren OS
estonia.gif
postituspostitatud: 02.06.2008, 18:58  postituse pealkiri:  (teema puudub)  

No, see veateade räägib sulle ju selgelt, et tegemist on katkise GTK-ga. Vaata audacious sõltuvustest järele, mis gtk-d seal figureerivad ja ürita need uueti peale lasta. Muidugi pole välistatud, et tegemist on mingi maavälise / softi riistvaraga mitteühildumise kalaga. Sellisel puhul on tõesti targem võtta meelepärase rakenduse lähtekood ja teha tavapärane
Kood:
./configure & make & sudo checkinstall


obundra
Vana Pingviin
Vana Pingviin


Vanus: 45
Liitunud: 04.08.2005
Postitused: 1213
Asukoht: 127.0.0.1
Distributsioon: RHEL, Solaris, Debian, Gentoo
estonia.gif
postituspostitatud: 02.06.2008, 20:41  postituse pealkiri:  (teema puudub)  

Paigalda gtk-qt-engine ja see veateade peaks kaduma.

_________________
IT teenused

Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group